﻿using ASHermed.SinoInterface.Code;

namespace ASHermed.SinoInterface.Exception
{
    /// <summary>
    /// 失败异常
    /// </summary>
    public class FailException : BaseException
    {
        /// <summary>
        /// 失败异常(自定义异常类型)
        /// </summary>
        /// <param name="detailedStatus">接口详细描述代码</param>
        /// <param name="message">详细状态描述</param>
        /// <param name="gatewayStatus">网关状态</param>
        public FailException(string message = null, DetailedStatusCode detailedStatus = DetailedStatusCode.Fail, GatewayStatusCode gatewayStatus = GatewayStatusCode.Success) : base(message, detailedStatus, gatewayStatus)
        {
        }
    }
}
